
TYPO3.Flow - Bug # 44765

Status: Resolved Priority: Should have
Author: Michael Klapper Category: Security
Created: 2013-01-23 Assigned To: Karsten Dambekalns
Updated: 2013-04-05 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Flow 2.0.0 beta 1
Subject: Functional test broken
Description

If you run the functional tests, you'll get the following exception thrown.

TYPO3\Flow\Security\Exception: The security Context cannot be initialized yet. Please check if it can be initialized with
$securityContext->canBeInitialized() before trying to do so.

This is a side effect of the following commit:

commit ce08c301e116f3e775657a977c3f1bc3ee4fcad3
Author: Sebastian Kurfuerst <sebastian@typo3.org>
Date:   Thu Jan 17 17:57:44 2013 +0100

    [BUGFIX]Â The security context is only allowed to be initialized after routing took place

...

 This is a follow-up to issue #42601; where the according code has been
    implemented.

    Change-Id: I724c1b352dd1807ba53b1e336f2d90e90360ff4d
    Releases: master, 2.0

Related issues:
related to TYPO3.Flow - Bug # 42601: Content Security: QOM rewriting is omitt... Under Review 2012-11-01

Associated revisions
Revision 55a312f2 - 2013-01-28 14:43 - Karsten Dambekalns

[BUGFIX] Fix security-related functional test failures

The change I724c1b352dd1807ba53b1e336f2d90e90360ff4d introduced some
test failures. This change takes care of the failing functional tests.

It does that by:

    -  changing the order in which security is set up in the
  FunctionalTestCase provided by Flow.
    -  setting the "current request" again after a call to clearContext() in

  ContentSecurityTest
    -  adjusting the expected exception in MethodSecurityTest in two places

Change-Id: I353e2cba11473cf9ddef82f96b6a79d9d6fefbba
Fixes: #44765
Related: #42601
Releases: master

Revision 56c6d852 - 2013-01-28 16:04 - Karsten Dambekalns

[BUGFIX] Fix security-related functional test failures, part 2

The change I724c1b352dd1807ba53b1e336f2d90e90360ff4d introduced some
test failures. This change takes care of the failing functional tests.

It does that by:

    -  setting the "current request" again after a call to clearContext() in
  ContentSecurityTest

    -  adjusting the expected exception in MethodSecurityTest in two places

This is a followup to I353e2cba11473cf9ddef82f96b6a79d9d6fefbba which
was broken after having fixed those already.

Change-Id: I09182972baf668abbb2cf583e8deebdc31e90205
Related: #42601
Fixes: #44765
Releases: master

Revision 26a56543 - 2013-04-05 10:58 - Karsten Dambekalns

[BUGFIX] Fix security-related functional test failures

The change I724c1b352dd1807ba53b1e336f2d90e90360ff4d introduced some
test failures. This change takes care of the failing functional tests.

It does that by:

    -  changing the order in which security is set up in the
  FunctionalTestCase provided by Flow.

    -  setting the "current request" again after a call to clearContext() in
  ContentSecurityTest

    -  adjusting the expected exception in MethodSecurityTest in two places

Change-Id: I353e2cba11473cf9ddef82f96b6a79d9d6fefbba
Fixes: #44765
Related: #42601
Releases: master, 2.0
Revision 5612a561 - 2013-04-05 10:58 - Karsten Dambekalns

[BUGFIX] Fix security-related functional test failures, part 2

The change I724c1b352dd1807ba53b1e336f2d90e90360ff4d introduced some
test failures. This change takes care of the failing functional tests.

It does that by:

    -  setting the "current request" again after a call to clearContext() in
  ContentSecurityTest

    -  adjusting the expected exception in MethodSecurityTest in two places

This is a followup to I353e2cba11473cf9ddef82f96b6a79d9d6fefbba which
was broken after having fixed those already.

Change-Id: I09182972baf668abbb2cf583e8deebdc31e90205
Related: #42601
Fixes: #44765
Releases: master, 2.0

History
#1 - 2013-01-28 14:27 - Karsten Dambekalns
- Status changed from New to Under Review
- Assigned To set to Karsten Dambekalns
- Target version set to 2.0

See https://review.typo3.org/17669

#2 - 2013-01-28 14:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17669

#3 - 2013-01-28 14:43 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17669

#4 - 2013-01-28 15:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:55a312f28997fc4a06914ba0279db4ae57219de4.

#5 - 2013-01-28 16:05 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17764

#6 - 2013-01-28 16:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:56c6d852cdc7bc3faea8070708be6cd68bfc5cb9.

#7 - 2013-03-20 17:24 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19103

#8 - 2013-03-20 17:24 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19104

#9 - 2013-04-05 11:01 - Gerrit Code Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19103

#10 - 2013-04-05 11:01 - Gerrit Code Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19104

#11 - 2013-04-05 11:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:5612a5619107d5e40728264a19a0fb02bad460ec.
